aboutsummaryrefslogtreecommitdiff
path: root/trunk
diff options
context:
space:
mode:
authorrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-10-03 19:47:08 +0000
committerrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-10-03 19:47:08 +0000
commitfd6efd5bcecc02152ec76707de7af91a1bd3b772 (patch)
treecaaf83dab7ac1fb238519d208d352dd133063d80 /trunk
parentb9e56b6a8a785b9122b748f52d6f441c2eb882a5 (diff)
downloadsimplepkg-fd6efd5bcecc02152ec76707de7af91a1bd3b772.tar.gz
simplepkg-fd6efd5bcecc02152ec76707de7af91a1bd3b772.tar.bz2
added simpletrack to src/
git-svn-id: svn+slack://slack.fluxo.info/var/svn/simplepkg@445 04377dda-e619-0410-9926-eae83683ac58
Diffstat (limited to 'trunk')
-rwxr-xr-xtrunk/src/simpletrack60
1 files changed, 60 insertions, 0 deletions
diff --git a/trunk/src/simpletrack b/trunk/src/simpletrack
new file mode 100755
index 0000000..781e3e9
--- /dev/null
+++ b/trunk/src/simpletrack
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# simpletrack $Id$: slacktrack/altertrack wrapper from simplepkg suite
+# feedback: rhatto at riseup.net | gpl
+#
+# Simpletrack is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# Simpletrack is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+PRIORITY=${SLACKTRACK_PRIORITY:=slacktrack-real slacktrack altertrack}
+BASENAME="`basename $0`"
+
+function slacktrack {
+
+ $1 -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$2"
+
+}
+
+function slacktrack-real {
+
+ $1 -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$2"
+
+}
+
+function altertrack {
+
+ $1 -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$2"
+
+}
+
+# -----------------------------------------------------
+# main
+# -----------------------------------------------------
+
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME [options] <build-script>"
+ exit 1
+elif [ ! -f "$1" ]; then
+ echo "$1: file not found"
+ exit 1
+fi
+
+for tracker in $PRIORITY; do
+ path="`which $tracker 2> /dev/null`"
+ if [ "$?" == "0" ]; then
+ echo $BASENAME: using $tracker...
+ $tracker $path $*
+ break
+ fi
+done
+